ubunu7.04,64位安装Canon LBP-2900打印机

为当前最终发行版之前的所有版本提供支持
回复
zhaozhh02
帖子: 43
注册时间: 2006-07-22 15:25
送出感谢: 0
接收感谢: 0

ubunu7.04,64位安装Canon LBP-2900打印机

#1

帖子 zhaozhh02 » 2007-11-01 15:34

安装CanonLBP2900,Ubuntu 7.04 64位。我的邮箱:zhaozhh02@gmail.com,有问题请给我先写封信,我好即使给你回复。

祝大家好运!

第一步

安装如下的包,我也不知道为什么,反正装上就行了。

ia32-libs, ia32-libs-gtk, ia32-libs-kde,lib32asaund2, lib32gcc1, lib32stdc++6 and lib32z1


下载我提供的附件,解压缩,都放到一个文件夹中。进入文件夹:
$ sudo cp lib*.* /usr/lib32/
$ sudo dpkg -i --force-architecture cndrvcups-common_1.30-2_i386.deb cndrvcups-capt_1.30-2_i386.deb

下面的步骤来自,
http://wiki.ubuntu.org.cn/index.php?tit ... iant=zh-tw
我作了极小极小的修改,为了不妨碍大家我把英文都删掉了,修改处我都注明了。"$"后都是要执行的命令。如果你想知道命令的含义请访问如上的链接。

第二步

$ sudo /etc/init.d/cupsys stop

$ sudo ps ax | grep cupsd

$ sudo killall cupsd

$ sudo mkdir /var/ccpd

$ sudo mkdir /var/captmon

$ sudo mkfifo /var/ccpd/fifo0

$ sudo chmod 777 /var/ccpd/fifo0

$ sudo chown root /var/ccpd/fifo0

Once you have done this, start CUPS again:

$ sudo /etc/init.d/cupsys start

下面的步骤来自于上面链接的第四步,注意我作了修正:

$ sudo /usr/sbin/lpadmin -p LBP-2900 -m CNCUPSLBP2900CAPTK.ppd -v ccp:/var/ccpd/fifo0 -E
此处我作了修改把原来的“LBP2900”换为“LBP-2900“

$ sudo /usr/sbin/lpadmin -p LBP-2900 -p CNCUPSLBP2900CAPTK.ppd -v ccp:/var/ccpd/fifo0 -E

$ ls /usr/share/cups/model/ | grep CNCUPS

$ cd /usr/share/ppd/

$ sudo ln -s /usr/share/cups/model/CNCUPSLBP2900CAPTK.ppd

$ sudo /usr/sbin/ccpdadmin -p [printer model] -o /dev/usblp0

$ sudo /usr/sbin/ccpdadmin -p LBP2900 -o /dev/usblp0

第三步

把原来的ccpd文件备份

$ sudo cp /etc/init.d/ccpd ccpdold

$ sudo cp ccpd /etc/init.d/ccpd
上面的ccpd文章是在附件的文件夹里的

$ sudo chmod a+x /etc/init.d/ccpd

$ sudo /etc/init.d/ccpd start

$ sudo update-rc.d ccpd defaults 20

第四步
关闭打印机电源,重启电脑,登录后打开打印机电源

第五步 检测
首先
$ sudo ccpdadmin
出现如下信息:
Usage:
ccpdadmin [-p Printer-name -o Printer-dev-path]
ccpdadmin [-x Remove-Printer-name]


CUPS_ConfigPath = /etc/cups/
LOG Path = None
UI Port = 39787

Entry Num : Spooler : Backend : FIFO path : Device Path : Status
----------------------------------------------------------------------------
[0] : LBP-2900 : ccp : /var/ccpd/fifo0 : /dev/usblp0 :

上面最后一行应该和你的完全一样!

其次:
$ captstatusui -P LBP2900


如果出现"ready to print"打印机将可以完全工作了,如图:
附件
1.tar.gz
(1.75 MiB) 下载 103 次
2.tar.gz
(1.39 MiB) 下载 114 次
ss.png
上次由 zhaozhh02 在 2007-11-01 15:51,总共编辑 1 次。
系统: Ubuntu8.04

如无必要,毋增实体
头像
fortruth
帖子: 1795
注册时间: 2005-11-06 1:51
来自: 七彩云世界
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 fortruth » 2007-11-01 15:37

是网络打印机么,支持账户用户。
佛出寺,求索真世界 For_Truth:Free_Open_Share
OPEN GPG KEY:03D18D95
zhaozhh02
帖子: 43
注册时间: 2006-07-22 15:25
送出感谢: 0
接收感谢: 0

#3

帖子 zhaozhh02 » 2007-11-02 8:57

据说此打印机,买个网络适配器就变成网络打印机了。

但具体不清楚你可以Google一下。

如果你有不用的旧电脑,装过ubuntu就可以做成打印机服务器了。

我们的办公室就是这样,如果是这样我就不推荐用64位的了,安装还是麻烦了点。
系统: Ubuntu8.04

如无必要,毋增实体
回复

回到 “老旧版本支持”